1. Versions
AgenticUniverse - Previously Formi
  • Our Technical Note
    • Why Open AI is not Enough
    • How business Outcomes would Change Radically with AgenticUniverse
    • Our Research
      • STT - Nuances and Insights
      • Solving for STT Constraints
  • Generate Token
    • Login/Generate Token
      POST
  • Agent Configuration
    • Model Configuration
      • Configuration Helpers
        • Supported Providers
        • Supported Models
        • Supported Parameters
      • Get Model Configuration
      • Set Model Configuration
    • State Machine
      • Edge
        • Legacy
          • Create Edge
          • Edge Details
          • Update Edge
          • Delete Edge
        • Update edge properties
        • Get edge details
        • Delete an edge
        • Create an edge (transition) between two states
      • State
        • Create State from Template
        • Get State Information
        • Update State
        • Delete State
      • Get State Machine Structure
    • Prompt Templates
      • Get All Templates
      • Render Template
    • Tools
      • Get Tools List
      • Add Tool
      • Update Tool
      • Delete Tool
    • Draft
      • Create or replace draft
      • Get current draft
      • Discard draft
      • Merge changes into draft
    • Publish
      • Publish draft
    • Versions
      • List published versions
        GET
      • Get version detail
        GET
    • Revert
      • Revert to archived version
    • Get All Agents
      GET
    • Single Agent Details
      GET
    • Create Agent
      POST
    • Update Agent Details
      PUT
    • Enable Dashboard For An Outlet
      POST
    • Disable Dashboard For An Outlet
      POST
    • Get Call queue Sheet ID
      GET
  • Interactions
    • Pre-Interaction Context
      • Schedule an Interaction
      • Update an Interaction Id
      • Delete an Interaction Id
      • Clear all interactions
      • Get Summarized Interaction Info
    • Interaction Modalities
      • Video
        • Generation
          • Generate Welcome Video
      • Text
        • Start Interaction
        • Create Response
        • End Interaction
      • Voice
        • Connection Configuration
          • Quickstart
          • Connecting Twilio
          • Connecting Exotel
          • Formi WebSocket Configuration Guide
          • Create a New Connection Vendor
          • Get All Connection Vendors
          • Update a Connection Vendor
          • Delete a Connection Vendor
          • Get Agent's Connection Config
          • Add or Update Agent's Connection Config
    • Post Interaction Configuration
      • Email Destination Configuration
      • Variables CRUD
        • Get all required variables for the outlet with map
        • Modify variable definition for outlet
        • Add a new variable for the outlet
        • DELETE variable for outlet
        • Connect Variable to a destination
      • Destinations CRUD
        • Get all destinations for the outlet
        • Modify Destination for outlet
        • Add a new Destination for the outlet
        • DELETE Destinations for outlet
      • Post Call Email Configuration
        • Check Email Configuration
        • Set Email Configuration
    • Signals
      • Get Signals List
      • Add Signal - LEAD
      • Add Signal - INTERACTION
      • Update Signal
    • Get Interaction Summary
      GET
    • Resolve an Escalated Interaction
      POST
    • Get the Interaction list
      GET
    • Get Information regarding Single Interaction
      GET
    • End Interaction
      POST
  • Agent Utilisation
    • Get Credits Available
    • Interaction Utilisation
    • Model Utilisation
  • Webhooks
    • Get webhook URL
    • Update webhook URL
    • Get webhook metadata
    • Modify webhook metadata
    • Get reservation ingestion metadata
  • Reachout Mechanism
    • Campaign Management
      • Campaigns List
      • Campaign Details
      • Create Campaign
      • Batch Schedule Interaction for Leads
      • Quick Schedule
      • Single Campaign Report
    • Lead Management
      • Upload Leads
      • Upload Leads - Status
      • Get Leads List
  • Untitled Endpoint
    GET
  • Add Signal
    POST
  • Schemas
    • Schemas
      • Schemas
        • CreateEdgeWithTemplateDTO
        • UpdateEdgeWithTemplateDTO
        • EdgeDetails
      • WebhookUrlRequest
      • InteractionSummaryCard
      • InteractionInfo
      • CreateVendorPayload
      • WebhookMetadataRequest
      • InteractionSummaryPayload
      • CustomerDetails
      • Vendor
      • SuccessResponse
      • InteractionSummaryResponse
      • InteractionDetails
      • ConnectionConfig
      • ErrorResponse
      • GenericSuccessResponse
      • SuccessResponseVendorList
      • SuccessResponseSingleVendor
      • SuccessResponseAgentConfig
    • Response
      • Unauthorized
      • NotFound
      • ServerError
    • Add Calls Payload
    • APISuccess
    • APIError
    • APIErrorWithPayload
    • EdgeSnapshot
    • StateSnapshot
    • StateMachineSnapshot
    • ConfigSnapshot
    • ChangeSummary
    • DraftResponse
    • VersionSummary
    • VersionDetail
    • StateMachinePatch
  1. Versions

List published versions

Staging Env
https://staging-api.formi.co.in
Staging Env
https://staging-api.formi.co.in
GET
https://staging-api.formi.co.in
/v2/agents/{agent_id}/config/model/versions
Last modified:2026-05-01 13:30:51
Maintainer:Not configured
Returns paginated version history for the agent. Drafts are excluded — only live, archived, and reverted versions are returned, ordered by version_number descending.

Request

Authorization
API Key
Add parameter in header
token
Example:
token: ********************
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://staging-api.formi.co.in/v2/agents//config/model/versions?page=1&page_size=20' \
--header 'token: <api-key>'

Responses

🟢200
application/json
Version list returned.
Body

Example
{
    "success": true,
    "message": "Versions fetched",
    "payload": {
        "versions": [
            {
                "version_number": 3,
                "status": "live",
                "outlet_id": 101,
                "published_by_outlet_id": 101,
                "published_at": "2026-04-28T14:00:00+05:30",
                "version_notes": "Switched to GPT-4o for better Tamil support",
                "is_revert": false,
                "reverted_from_version": null,
                "created_at": "2026-04-28T13:55:00+05:30"
            }
        ],
        "total": 7,
        "page": 1,
        "page_size": 20
    }
}
🟠400
🟠409
Modified at 2026-05-01 13:30:51
Previous
Publish draft
Next
Get version detail
Built with